package cn.com.qmth.examcloud.ws.core;

import java.util.Map;

import javax.websocket.Session;

import com.google.common.collect.Maps;

/**
 * websocket session管理
 *
 * @author WANGWEI
 * @date 2019年11月22日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class SessionHolder {

	private static Map<String, Session> IdSesesionMap = Maps.newConcurrentMap();

	private static Map<Session, String> sesesionIdMap = Maps.newConcurrentMap();

	public static Session getSession(String sessionId) {
		Session session = IdSesesionMap.get(sessionId);
		return session;
	}

	public static void setSession(String sessionId, Session session) {
		IdSesesionMap.put(sessionId, session);
	}

	public static void delSession(String sessionId) {
		Session session = IdSesesionMap.get(sessionId);
		if (null == session) {
			return;
		}
		session = null;
		IdSesesionMap.remove(sessionId);
	}

	public String getSessionId(Session session) {
		return sesesionIdMap.get(session);
	}

}
