package cn.com.qmth.examcloud.ws.core;

import java.io.IOException;

import javax.websocket.OnClose;
import javax.websocket.OnError;
import javax.websocket.OnMessage;
import javax.websocket.OnOpen;
import javax.websocket.Session;
import javax.websocket.server.ServerEndpoint;

import org.springframework.stereotype.Component;

import cn.com.qmth.examcloud.commons.util.DateUtil;

@ServerEndpoint("/ws")
@Component
public class WebSocketServerEndpoint {

	@OnOpen
	public void onOpen(Session session) {
		System.out.println("onOpen; session=" + session);
		try {
			session.getBasicRemote().sendText(DateUtil.chinaNow() + "| fuck");
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

	@OnClose
	public void onClose(Session session) {
		System.out.println("onClose; session=" + session);
	}

	@OnMessage
	public void onMessage(Session session, String message) {
		System.out.println("onMessage; session=" + session);
		System.out.println("onMessage; message=" + message);
		try {
			session.getBasicRemote().sendText(DateUtil.chinaNow() + "| cao egg");
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

	@OnError
	public void onError(Session session, Throwable t) {
		System.out.println("onError; session=" + session);
		t.printStackTrace();
	}

}
